apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  labels:
    app: test-vm-1
  name: test-vm-1
  namespace: ocp-kubevirt
spec:
  dataVolumeTemplates:
  - metadata:
      annotations:
        cdi.kubevirt.io/storage.deleteAfterCompletion: "false"
      creationTimestamp: null
      name: test-vm-1-dv
    spec:
      pvc:
        accessModes:
        - ReadWriteOnce
        resources:
          requests:
            storage: 150Mi
        volumeMode: Block
      source:
        registry:
          pullMethod: node
          url: docker://quay.io/kubevirt/cirros-container-disk-demo
  running: true
  template:
    metadata:
      creationTimestamp: null
      name: test-vm-1
    spec:
      architecture: amd64
      domain:
        devices:
          disks:
          - disk:
              bus: virtio
            name: volume0
          interfaces:
          - masquerade: {}
            name: default
          rng: {}
        machine:
          type: q35
        resources:
          requests:
            memory: 256M
      networks:
      - name: default
        pod: {}
      terminationGracePeriodSeconds: 0
      volumes:
      - dataVolume:
          name: test-vm-1-dv
        name: volume0
---
apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  labels:
    app: test-vm-2
  name: test-vm-2
  namespace: ocp-kubevirt
spec:
  dataVolumeTemplates:
  - metadata:
      annotations:
        cdi.kubevirt.io/storage.deleteAfterCompletion: "false"
      creationTimestamp: null
      name: test-vm-2-dv
    spec:
      pvc:
        accessModes:
        - ReadWriteOnce
        resources:
          requests:
            storage: 150Mi
        volumeMode: Block
      source:
        registry:
          pullMethod: node
          url: docker://quay.io/kubevirt/cirros-container-disk-demo
  running: true
  template:
    metadata:
      creationTimestamp: null
      name: test-vm-2
    spec:
      architecture: amd64
      domain:
        devices:
          disks:
          - disk:
              bus: virtio
            name: volume0
          interfaces:
          - masquerade: {}
            name: default
          rng: {}
        machine:
          type: q35
        resources:
          requests:
            memory: 256M
      networks:
      - name: default
        pod: {}
      terminationGracePeriodSeconds: 0
      volumes:
      - dataVolume:
          name: test-vm-2-dv
        name: volume0
---
apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  labels:
    app: test-vm-3
  name: test-vm-3
  namespace: ocp-kubevirt
spec:
  dataVolumeTemplates:
  - metadata:
      annotations:
        cdi.kubevirt.io/storage.deleteAfterCompletion: "false"
      creationTimestamp: null
      name: test-vm-3-dv
    spec:
      pvc:
        accessModes:
        - ReadWriteOnce
        resources:
          requests:
            storage: 150Mi
        volumeMode: Block
      source:
        registry:
          pullMethod: node
          url: docker://quay.io/kubevirt/cirros-container-disk-demo
  running: true
  template:
    metadata:
      creationTimestamp: null
      name: test-vm-3
    spec:
      architecture: amd64
      domain:
        devices:
          disks:
          - disk:
              bus: virtio
            name: volume0
          interfaces:
          - masquerade: {}
            name: default
          rng: {}
        machine:
          type: q35
        resources:
          requests:
            memory: 256M
      networks:
      - name: default
        pod: {}
      terminationGracePeriodSeconds: 0
      volumes:
      - dataVolume:
          name: test-vm-3-dv
        name: volume0
